summaryrefslogtreecommitdiffstats
path: root/source/n/popa3d
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/popa3d')
-rw-r--r--source/n/popa3d/doinst.sh9
-rw-r--r--source/n/popa3d/popa3d-1.0.2.tar.gz.sign10
-rwxr-xr-xsource/n/popa3d/popa3d.SlackBuild77
-rw-r--r--source/n/popa3d/popa3d.diff58
-rw-r--r--source/n/popa3d/slack-desc19
5 files changed, 173 insertions, 0 deletions
diff --git a/source/n/popa3d/doinst.sh b/source/n/popa3d/doinst.sh
new file mode 100644
index 000000000..caadfd59d
--- /dev/null
+++ b/source/n/popa3d/doinst.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+# If the pop user/group don't exist, add them:
+if ! grep -q "^pop:" etc/passwd ; then
+ echo "pop:x:90:90:POP:/:" >> /etc/passwd
+fi
+if ! grep -q "^pop:" etc/group ; then
+ echo "pop::90:pop" >> etc/group
+fi
+
diff --git a/source/n/popa3d/popa3d-1.0.2.tar.gz.sign b/source/n/popa3d/popa3d-1.0.2.tar.gz.sign
new file mode 100644
index 000000000..44b2913bb
--- /dev/null
+++ b/source/n/popa3d/popa3d-1.0.2.tar.gz.sign
@@ -0,0 +1,10 @@
+-----BEGIN PGP MESSAGE-----
+Version: 2.6.3ia
+Comment: http://www.openwall.com/signatures/
+
+iQCVAwUARHJblHK5fbEpUCnxAQEjyAP9HEydFlz7lFGoHI4SqBLlH7XRNFgs/sKg
+biNYMBlohgU2YHilrX1wNiActrLqvv+wr1en6KZVKHhG7QtLZo0MWQsypylEIxVT
+UVANL0wybUOnx+XRuQKKpCnkinS9Pic1dHXLTaXx1NkeHAYlUM6YRvdWSRpvkNHR
+eAHZO3LYaWI=
+=IGmS
+-----END PGP MESSAGE-----
diff --git a/source/n/popa3d/popa3d.SlackBuild b/source/n/popa3d/popa3d.SlackBuild
new file mode 100755
index 000000000..5d574df68
--- /dev/null
+++ b/source/n/popa3d/popa3d.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=1.0.2
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-popa3d
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf popa3d-$VERSION
+tar xvf $CWD/popa3d-$VERSION.tar.gz || exit 1
+cd popa3d-$VERSION || exit 1
+zcat $CWD/popa3d.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make $NUMJOBS || make || exit 1
+
+# already stripped
+mkdir -p $PKG/usr/sbin
+cat popa3d > $PKG/usr/sbin/popa3d
+chmod 755 $PKG/usr/sbin/popa3d
+
+mkdir -p $PKG/usr/man/man8
+cat popa3d.8 | gzip -9c > $PKG/usr/man/man8/popa3d.8.gz
+
+# Empty directory to chroot() into. Should already be installed by aaa_base, or
+# openssh, or both:
+#mkdir -p $PKG/var/empty
+
+# Docs:
+mkdir -p $PKG/usr/doc/popa3d-$VERSION
+cp -a \
+ CHANGES CONTACT DESIGN INSTALL LICENSE VIRTUAL \
+ $PKG/usr/doc/popa3d-$VERSION
+chmod 644 $PKG/usr/doc/popa3d-$VERSION/*
+
+# Add install script -- this ensures pop user/group are there:
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+# Description:
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/popa3d-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/n/popa3d/popa3d.diff b/source/n/popa3d/popa3d.diff
new file mode 100644
index 000000000..773f90856
--- /dev/null
+++ b/source/n/popa3d/popa3d.diff
@@ -0,0 +1,58 @@
+--- ./Makefile.orig 2006-03-05 04:36:20.000000000 -0600
++++ ./Makefile 2006-03-12 16:20:44.000000000 -0600
+@@ -5,11 +5,11 @@
+ INSTALL = install -c
+ CFLAGS = -Wall -O2 -fomit-frame-pointer
+ # You may use OpenSSL's MD5 routines instead of the ones supplied here
+-#CFLAGS += -DHAVE_OPENSSL
++CFLAGS += -DHAVE_OPENSSL
+ LDFLAGS = -s
+ LIBS =
+ # Linux with glibc, FreeBSD, NetBSD
+-#LIBS += -lcrypt
++LIBS += -lcrypt
+ # HP-UX trusted system
+ #LIBS += -lsec
+ # Solaris (POP_STANDALONE, POP_VIRTUAL)
+@@ -21,10 +21,10 @@
+ # libwrap may also want this
+ #LIBS += -lnsl
+ # OpenSSL (-DHAVE_OPENSSL)
+-#LIBS += -lcrypto
++LIBS += -lcrypto
+
+ DESTDIR =
+-PREFIX = /usr/local
++PREFIX = /usr
+ SBINDIR = $(PREFIX)/sbin
+ MANDIR = $(PREFIX)/man
+
+--- ./params.h.orig 2006-03-05 06:44:52.000000000 -0600
++++ ./params.h 2006-03-12 16:23:16.000000000 -0600
+@@ -13,7 +13,7 @@
+ /*
+ * Are we going to be a standalone server or start via an inetd clone?
+ */
+-#define POP_STANDALONE 0
++#define POP_STANDALONE 1
+
+ #if POP_STANDALONE
+
+@@ -103,7 +103,7 @@
+ * A pseudo-user to run as before authentication. The user and its UID
+ * must not be used for any other purpose.
+ */
+-#define POP_USER POP_SERVER
++#define POP_USER "pop"
+
+ /*
+ * An empty directory to chroot to before authentication. The directory
+@@ -191,7 +191,7 @@
+ *
+ * #undef this for qmail-style $HOME/Mailbox mailboxes.
+ */
+-#define MAIL_SPOOL_PATH "/var/mail"
++#define MAIL_SPOOL_PATH "/var/spool/mail"
+
+ #ifndef MAIL_SPOOL_PATH
+ /*
diff --git a/source/n/popa3d/slack-desc b/source/n/popa3d/slack-desc
new file mode 100644
index 000000000..6a0679164
--- /dev/null
+++ b/source/n/popa3d/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+popa3d: popa3d (a POP3 daemon)
+popa3d:
+popa3d: popa3d is a Post Office Protocol version 3 (POP3) server. A POP3
+popa3d: server operates on local mailboxes on behalf of its remote users.
+popa3d: Users can connect at any time to check their mailbox and fetch the
+popa3d: mail that has accumulated. The design goals of this POP3 server are
+popa3d: security, reliability, RFC compliance (slightly relaxed to work with
+popa3d: real-world POP3 clients), and high performance.
+popa3d:
+popa3d: The popa3d daemon was written by Solar Designer.
+popa3d: